What versions of Hibernate are supported in JBoss EAP?

Solution Verified - Updated -

Issue

  • I would like to know what versions of Hibernate (ORM, Search, Envers, Validator and Tools) are supported through enterprise support?
    • Is Hibernate 4 or earlier supported in EAP 7?
    • Is Hibernate 4.3.x or later supported in EAP 6?
    • Is Hibernate 3 supported in EAP 6?
    • Is Hibernate 4 or later supported in EAP 5?
  • Is Hibernate Spatial supported? Will the issues related to Hibernate Spatial be supported if configured as a module?
  • Our application needs a more recent version of hibernate so we'd like to upgrade the jar inside Enterprise Application Platform.

Environment

  • Red Hat JBoss Enterprise Application Platform (EAP)
    • All Releases
  • Hibernate

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In